Bug 151423 - CAN-2005-0718 Segmentation fault on failed PUT/POST request
Summary: CAN-2005-0718 Segmentation fault on failed PUT/POST request
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard: impact=low,public=20050304,source=cve
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-17 19:03 UTC by Josh Bressers
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-489
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-13 12:08:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:415 normal SHIPPED_LIVE Low: squid security update 2005-06-14 04:00:00 UTC
Red Hat Product Errata RHSA-2005:489 normal SHIPPED_LIVE Low: squid security update 2005-06-13 04:00:00 UTC

Description Josh Bressers 2005-03-17 19:03:51 UTC
An inconsistent state is entered on a failed PUT/POST request making a high risk
for segmentation faults or other strange errors

http://www1.uk.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE7-post

Comment 1 Josh Bressers 2005-03-17 19:04:37 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-06-13 12:08:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-489.html



Note You need to log in before you can comment on or make changes to this bug.